<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once(AUTOUPDATE_PATH.'include/autoupdate.class.php');
$autoupdate = new autoupdate();

if (!$autoupdate->get_server_extensions())
{
  array_push($page['errors'], l10n('Can\'t connect to server.'));
  return;
}

foreach ($autoupdate->types as $type)
{
  $fs = 'fs_'.$type;
  $server = 'server_'.$type;
  $server_ext = $autoupdate->$type->$server;
  $fs_ext = $autoupdate->$type->$fs;

  if (!empty($server_ext))
  {
    foreach($fs_ext as $ext_id => $fs_ext)
    {
      if (isset($fs_ext['extension']) and isset($server_ext[$fs_ext['extension']]))
      {
        $ext_info = $server_ext[$fs_ext['extension']];

        if (!$autoupdate->version_compare($fs_ext['version'], $ext_info['revision_name'], $type))
        {
          $template->append('update_'.$type, array(
            'ID' => $ext_info['extension_id'],
            'REVISION_ID' => $ext_info['revision_id'],
            'EXT_ID' => $ext_id,
            'EXT_NAME' => $fs_ext['name'],
            'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$ext_info['extension_id'],
            'EXT_DESC' => trim($ext_info['extension_description'], " \n\r"),
            'REV_DESC' => trim($ext_info['revision_description'], " \n\r"),
            'CURRENT_VERSION' => $fs_ext['version'],
            'NEW_VERSION' => $ext_info['revision_name'],
            'AUTHOR' => $ext_info['author_name'],
            'DOWNLOADS' => $ext_info['extension_nb_downloads'],
            'URL_DOWNLOAD' => $ext_info['download_url'] . '&amp;origin=piwigo_download',
            'IGNORED' => in_array($ext_id, $conf['AU_ignore'][$type]),
            )
          );
        }
      }
    }
  }
}

$template->assign('SHOW_RESET', (!empty($conf['AU_ignore']['plugins']) or !empty($conf['AU_ignore']['themes']) or !empty($conf['AU_ignore']['languages'])));
$template->assign('PWG_TOKEN', get_pwg_token());
$template->set_filename('plugin_admin_content', realpath(AUTOUPDATE_PATH.'template/update_ext.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>